---
title: Examples
date: 2019-03-03T16:39:46+01:00
draft: false
hidden: true
---

{{% notice note %}}
**Heads up!** We've restructured the content a bit.
{{% /notice %}}

You'll find the content now at one of these pages:

- Guide: [**How to obtain a certificate**]({{< ref "usage/cli/Obtain-a-Certificate" >}})
  - Using the built-in web server
  - Using a DNS provider
  - Using a custom certificate signing request (CSR)
  - Using an existing, running web server
  - Running a script afterward
  - Use case
- Guide: [**How to renew a certificate**]({{< ref "usage/cli/Renew-a-Certificate" >}})
  - Using the built-in web server
  - Using a DNS provider
  - Running a script afterward
  - Automatic renewal
- Reference: [**Command line options**]({{< ref "usage/cli/Options" >}})
  - Usage
  - Let's Encrypt ACME server
  - Running without root privileges
  - Port Usage
